Rygel.IconInfo – librygel-core Reference Manual

# IconInfo

## Object Hierarchy:

## Description:

public class IconInfo

Holds information about an icon.

Namespace: Rygel
Package: librygel-core

## Content:

### Creation methods:

- public IconInfo (`string` mime_type, `string` file_extension)

### Fields:

- public `string` mime_type
- public `string` uri
- public `string` file_extension
- public `int64` size
- public `int` width
- public `int` height
- public `int` depth